Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Basalt Documentation","colors":{"primary":"#db5704","light":"#d5e347","dark":"#221f1d"},"logo":{"light":"https://mintcdn.com/basalt/zSl5KFM2jxJW0XxX/logo/light.svg?fit=max\u0026auto=format\u0026n=zSl5KFM2jxJW0XxX\u0026q=85\u0026s=189f8bb86bd16ce9f6743b2de84d3523","dark":"https://mintcdn.com/basalt/zSl5KFM2jxJW0XxX/logo/dark.svg?fit=max\u0026auto=format\u0026n=zSl5KFM2jxJW0XxX\u0026q=85\u0026s=509b49760d3df35a3470a30e2e33f08d"},"favicon":"/favicon.svg","navbar":{"links":[{"href":"mailto:support@getbasalt.ai","label":"Support"},{"href":"https://app.getbasalt.ai","label":"Dashboard"}]},"footer":{"socials":{"x":"https://x.com/mintlify","github":"https://github.com/mintlify","linkedin":"https://linkedin.com/company/mintlify"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"basalt","hasAudioNarration":false,"actualSubdomain":"basalt","customDomains":["docs.getbasalt.ai"],"gitSource":{"type":"github","owner":"get-pancake","repo":"basalt-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6ae927677286557954691648:success","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"Documentation","count":45},{"language":"default","tag":"API Reference","count":24},{"language":"default","tag":"Prompts","count":19},{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"Python","count":17},{"language":"default","tag":"Observability","count":13},{"language":"default","tag":"Datasets","count":11},{"language":"default","tag":"Experiments","count":10},{"language":"default","tag":"Start Here","count":6},{"language":"default","tag":"Monitoring","count":5}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"v0/api-reference/prompts/publish","slug":"/v0/api-reference/prompts/publish","pageMetadata":{"title":"Publish Prompt","openapi":"POST /prompts/{slug}/publish","description":"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.","href":"/v0/api-reference/prompts/publish","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Publish Prompt","openapi":"POST /prompts/{slug}/publish","description":"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.","href":"/v0/api-reference/prompts/publish","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Publish a prompt version with a tag","description":"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.","parameters":["a44cb961-8fb2-4c05-a810-024aaa3c764a"],"requestBody":"3a341716-3e91-43cb-abb1-f699b7d642ca","responses":{"201":"4e1e50c1-e383-494b-9d29-d154639f8dd7","400":"d0c2ab60-fe44-4c23-a8cb-30cd19b2a420","404":"2bba8cec-936f-428f-b4a8-ba41ea9b1661"},"method":"post","type":"path","servers":["5d9a566e-2592-420d-ae23-f7d4c6f12eb0"],"security":["88e17c1e-cdce-4251-87b5-8086962cd265"],"path":"/prompts/{slug}/publish","baseUrlOptions":["https://api.getbasalt.ai"],"title":"Publish a prompt version with a tag","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"a44cb961-8fb2-4c05-a810-024aaa3c764a":{"schema":{"type":"string","description":"The slug of the prompt to publish","example":"my-prompt-slug","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"name":"slug","in":"path"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"newTag":{"type":"string","minLength":1,"description":"The new tag to assign to the prompt version","example":"production","isRequired":true,"uniqueKey":"newTag","typeLabel":"string"},"version":{"type":"string","description":"The version number of the prompt to publish","example":"1.0.0","uniqueKey":"version","typeLabel":"string"},"tag":{"type":"string","description":"The tag of the prompt version to publish","example":"latest","uniqueKey":"tag","typeLabel":"string"}},"required":["newTag"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"newTag":"production","version":"1.0.0","tag":"latest"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"4e1e50c1-e383-494b-9d29-d154639f8dd7":{"description":"The deployment tag was successfully created or updated","content":{"application/json":{"schema":{"type":"object","properties":{"deploymentTag":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the deployment tag","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"deploymentTag.id","typeLabel":"string\u003cuuid>"},"label":{"type":"string","description":"The label of the deployment tag","example":"production","isRequired":true,"uniqueKey":"deploymentTag.label","typeLabel":"string"}},"required":["id","label"],"description":"The deployment tag that was created or updated","example":{"id":"123e4567-e89b-12d3-a456-426614174000","label":"production"},"isRequired":true,"uniqueKey":"deploymentTag","typeLabel":"object"}},"required":["deploymentTag"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"deploymentTag":{"id":"123e4567-e89b-12d3-a456-426614174000","label":"production"}}}},"exampleType":"generated"}},"exampleType":"generated"},"d0c2ab60-fe44-4c23-a8cb-30cd19b2a420":{"description":"Bad Request - Invalid request parameters or body","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"2bba8cec-936f-428f-b4a8-ba41ea9b1661":{"description":"Not found - Prompt or prompt version not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"88e17c1e-cdce-4251-87b5-8086962cd265":{"bearerAuth":{"type":"http","scheme":"bearer","scopes":[]}}},"servers":{"5d9a566e-2592-420d-ae23-f7d4c6f12eb0":{"url":"https://api.getbasalt.ai","description":"Basalt Endpoint API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"v0/api-reference/openapi.json"},"subdomain":"basalt","siteName":"Basalt Documentation","title":"Publish Prompt - Basalt Documentation","navMaps":{"firstHrefInVersion":{"1.0.0":{"href":"/v1/api-reference/prompts/publish","matchLevel":1},"0.5.0 ":{"href":"/introduction","matchLevel":4},"0.5.0 (archive)":{"href":"/v0/api-reference/prompts/publish","matchLevel":0}},"firstHrefInLanguage":{}},"originalFileLocation":"v0/api-reference/prompts/publish.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Basalt Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Publish Prompt - Basalt Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Basalt Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://basalt.mintlify.site/_mintlify/api/og/v2?division=Prompts\u0026amp;title=Publish+Prompt\u0026amp;description=Assign+a+new+tag+to+a+specific+prompt+version.+If+the+tag+already+exists%2C+it+will+be+updated+to+point+to+the+specified+version.+If+the+tag+does+not+exist%2C+it+wi\u0026amp;theme=4f3f972f607781f14e22d992\u0026amp;signature=ece4d34d2abb4bcef8a2b7043174c1ed97e65fe6df6c0306aa34d5d437586231\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Publish Prompt - Basalt Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://basalt.mintlify.site/_mintlify/api/og/v2?division=Prompts\u0026amp;title=Publish+Prompt\u0026amp;description=Assign+a+new+tag+to+a+specific+prompt+version.+If+the+tag+already+exists%2C+it+will+be+updated+to+point+to+the+specified+version.+If+the+tag+does+not+exist%2C+it+wi\u0026amp;theme=4f3f972f607781f14e22d992\u0026amp;signature=ece4d34d2abb4bcef8a2b7043174c1ed97e65fe6df6c0306aa34d5d437586231\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/basalt/Krh2xOLvFCp873oL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Basalt Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#db5704\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v0/api-reference/prompts/publish.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.getbasalt.ai/#organization\",\"name\":\"Basalt Documentation\",\"url\":\"https://docs.getbasalt.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/basalt/zSl5KFM2jxJW0XxX/logo/light.svg?fit=max\u0026auto=format\u0026n=zSl5KFM2jxJW0XxX\u0026q=85\u0026s=189f8bb86bd16ce9f6743b2de84d3523\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.getbasalt.ai#website\",\"name\":\"Basalt Documentation\",\"url\":\"https://docs.getbasalt.ai\",\"publisher\":{\"@id\":\"https://docs.getbasalt.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish#webpage\",\"url\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish\",\"name\":\"Publish Prompt\",\"description\":\"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.\",\"isPartOf\":{\"@id\":\"https://docs.getbasalt.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Prompts\",\"item\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/get\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Publish Prompt\",\"item\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish#apireference\",\"headline\":\"Publish Prompt\",\"name\":\"Publish Prompt\",\"description\":\"Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.\",\"url\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish\",\"mainEntityOfPage\":{\"@id\":\"https://docs.getbasalt.ai/v0/api-reference/prompts/publish#webpage\"},\"publisher\":{\"@id\":\"https://docs.getbasalt.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.getbasalt.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Basalt Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Basalt Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/v0/api-reference/prompts/publish.md","siteName":"Basalt Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","versions":[{"version":"1.0.0","groups":[{"group":"Start Here","pages":[{"title":"Introduction","icon":"square-info","href":"/introduction","hidden":false},{"title":"Quickstart","icon":"rocket","href":"/v1/quickstart","hidden":false},{"title":"Installation","icon":"terminal","href":"/v1/installation","hidden":false},{"title":"Migrate from v0 to v1","icon":"arrow-up-from-bracket","href":"/v1/migrate-from-v0","hidden":false}]},{"group":"Prompts","icon":"comment-dots","pages":[{"title":"Introduction","href":"/v1/prompts/introduction","hidden":false},{"group":"Python","icon":"python","pages":[{"title":"Prompts SDK Overview","href":"/v1/prompts/python/overview","hidden":false},{"title":"Examples","href":"/v1/prompts/python/examples","hidden":false},{"title":"API Reference","href":"/v1/prompts/python/api-reference","hidden":false}]}]},{"group":"Datasets","icon":"database","pages":[{"title":"Datasets","href":"/v1/datasets/introduction","hidden":false},{"group":"Python","icon":"python","pages":[{"title":"Overview","href":"/v1/datasets/python/overview","hidden":false},{"title":"Examples","href":"/v1/datasets/python/examples","hidden":false},{"title":"API Reference","href":"/v1/datasets/python/api-reference","hidden":false}]}]},{"group":"Experiments","icon":"flask","pages":[{"title":"Experiments","href":"/v1/experiments/introduction","hidden":false},{"group":"Python","icon":"python","pages":[{"title":"Overview","href":"/v1/experiments/python/overview"},{"title":"Examples","href":"/v1/experiments/python/examples"},{"title":"API Reference","href":"/v1/experiments/python/api-reference","hidden":false}]}]},{"group":"Observability","icon":"chart-line","pages":[{"title":"Observability","href":"/v1/observabilite/introduction","hidden":false},{"group":"Python","icon":"python","pages":[{"title":"Getting Started","icon":"play","href":"/v1/observabilite/python/get-started"},{"title":"Overview","href":"/v1/observabilite/python/overview","hidden":false},{"title":"Core Concepts","href":"/v1/observabilite/python/concepts"},{"title":"Decorator vs Context Manager Patterns","href":"/v1/observabilite/python/patterns","hidden":false},{"title":"Complete Workflows","href":"/v1/observabilite/python/workflows","hidden":false},{"title":"Evaluators","href":"/v1/observabilite/python/evaluators","hidden":false},{"title":"Auto-Instrumentation","href":"/v1/observabilite/python/auto-instrumentation","hidden":false},{"title":"API Reference","href":"/v1/observabilite/python/api-reference","hidden":false}]}]},{"group":"Learn more","pages":[{"title":"Getting Help","href":"/getting-help","hidden":false}]}]},{"version":"0.5.0 ","pages":[{"title":"0.5.0 ","href":"/introduction"}]}]},{"tab":"API Reference","icon":"terminal","versions":[{"version":"1.0.0","pages":[{"title":"1.0.0","href":"/v1/api-reference/prompts/publish"}]},{"version":"0.5.0 (archive)","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","icon":"square-info","href":"/v0/api-reference/introduction","hidden":false},{"title":"Authentication","icon":"lock","href":"/v0/api-reference/authentication","hidden":false}]},{"group":"Prompts","pages":[{"title":"Get Prompt","openapi":"GET /prompts/{slug}","href":"/v0/api-reference/prompts/get","hidden":false},{"title":"List Prompts","openapi":"GET /prompts","href":"/v0/api-reference/prompts/list","hidden":false},{"title":"Describe Prompt","openapi":"GET /prompts/{slug}/describe","description":"Describe a prompt by its slug","href":"/v0/api-reference/prompts/describe","hidden":false},{"title":"Publish Prompt","openapi":"POST /prompts/{slug}/publish","href":"/v0/api-reference/prompts/publish","hidden":false}]},{"group":"Observability","pages":[{"title":"Monitor Single Prompt","openapi":"POST /monitor/log","description":"Monitor a prompt output","href":"/v0/api-reference/monitor/log","hidden":false},{"title":"Create Trace","openapi":"POST /monitor/trace","href":"/v0/api-reference/monitor/trace","hidden":false}]},{"group":"Datasets","pages":[{"title":"Get Dataset","openapi":"GET /datasets/{slug}","href":"/v0/api-reference/datasets/get","hidden":false},{"title":"List Datasets","openapi":"GET /datasets","href":"/v0/api-reference/datasets/list","hidden":false},{"title":"Add Dataset Row","openapi":"POST /datasets/{slug}/items","href":"/v0/api-reference/datasets/add-row","hidden":false}]},{"group":"Experiments","pages":[{"title":"Create Experiment","openapi":"POST /monitor/experiments","href":"/v0/api-reference/experiments/create","hidden":false}]}]}]}]},"basePath":"","title":"Publish Prompt - Basalt Documentation","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-D6S0Yh6q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}